<template>
    <div class="add-student">
        <h2 class="text-center">Sua Sinh Vien</h2>
        <form class="col-6 mx-auto">
            <div class="mb-3">
                <label for="code" class="form-label">Ma so</label>
                <input
                    type="text"
                    class="form-control"
                    id="code"
                    aria-describedby="emailHelp"
                    v-model="student.code"
                />
            </div>
            <div class="mb-3">
                <label for="name" class="form-label">Ten</label>
                <input
                    type="text"
                    class="form-control"
                    id="name"
                    v-model="student.name"
                />
            </div>
            <div class="mb-3">
                <p>Gioi tinh :</p>
                <div class="form-check">
                    <input
                        type="radio"
                        id="nam"
                        value="Nam"
                        v-model="student.sex"
                        class="form-check-input"
                    />

                    <label class="form-check-label" for="nam">
                        Nam
                    </label>
                </div>
                <div class="form-check">
                    <input
                        type="radio"
                        id="nu"
                        value="Nu"
                        v-model="student.sex"
                        class="form-check-input"
                    />
                    <label class="form-check-label" for="nu">
                        Nu
                    </label>
                </div>
            </div>
            <div class="mb-3">
                <div class="form-floating">
                    <textarea
                        class="form-control"
                        placeholder="So thich"
                        id="hobby"
                        style="height: 100px"
                        v-model="student.hobbies"
                    ></textarea>
                    <label for="hobby">So thich</label>
                </div>
            </div>
            <button
                @click.prevent="editStudent"
                type="submit"
                class="btn btn-primary"
            >
                Sua sinh vien
            </button>
        </form>
    </div>
</template>

<script>
export default {
    props: ["student"],
    methods: {
        editStudent() {
            this.$emit("edit-student");
        },
    },
};
</script>

<style></style>
